| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iEmitCylinder Struct Reference

Cylinder value emitter - returns values in a cylinder. More...

`#include <imesh/emit.h>`

Inheritance diagram for iEmitCylinder:

[legend]
List of all members.

## Public Member Functions
virtual void | GetContent (csVector3 &start, csVector3 &end, float &min, float &max)=0
| get content
virtual void | SetContent (const csVector3 &start, const csVector3 &end, float min, float max)=0
| set content, start and end position of cylinder, min/max distance

## Detailed Description

Cylinder value emitter - returns values in a cylinder.

Main creators of instances implementing this interface:

- iEmitFactoryState::CreateCylinder()

Main users of this interface:

- iEmitState

Definition at line 189 of file emit.h.

## Member Function Documentation

virtual void iEmitCylinder::GetContent | ( | csVector3 & | start,
|  | csVector3 & | end,
|  | float & | min,
|  | float & | max |
| ) |  |  | `[pure virtual]`

get content

virtual void iEmitCylinder::SetContent | ( | const csVector3 & | start,
|  | const csVector3 & | end,
|  | float | min,
|  | float | max |
| ) |  |  | `[pure virtual]`

set content, start and end position of cylinder, min/max distance

The documentation for this struct was generated from the following file:

- imesh/emit.h